V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
beginor
V2EX  ›  Ubuntu

Ubuntu 22.04 的 WiFi 热点无法连接

  •  
  •   beginor · 45 天前 via Android · 1104 次点击
    这是一个创建于 45 天前的主题,其中的信息可能已经有所发展或是发生改变。

    把 Ubuntu 从 20.04 升级到了 22.04 , 发现不能连接到 Ubuntu 的 WiFi 热点了, 连接时提示密码不正确。

    也尝试过用“高级网络配置”创建类型为 hotspot 的连接,然后再连接的方式来启动热点,也是无法连接,没有任何提示。

    之前一直用 Ubuntu 20.04 给手机共享网络, 硬件应该是没问题的,WiFi 网卡驱动也是正常的, 升级到 Ubuntu 22.04 可以连接到无线网。

    请问万能的 V 友有没有办法解决呢?

    7 条回复    2022-07-01 11:14:35 +08:00
    polaa
        1
    polaa  
       45 天前 via iPhone
    直接运行 hostapd 看看输出
    beginor
        2
    beginor  
    OP
       45 天前 via Android
    @polaa 默认没有安装这个,hostapd 是自己创建热点时才用到的吧?
    FakNoCNName
        3
    FakNoCNName  
       45 天前
    是个 Bug ,目前还没确定是内核、驱动、社区哪一方引入的,也没有什么已知的修复方案。

    附:有些问答上说和 WiFi 6 有关系。
    sggggy
        4
    sggggy  
       45 天前
    前几天华硕的 mini pc ,LTS 22.04 不知道升级啥玩意后,蓝牙跪了。还好罗技的优连还能跑,重启后突然发现键盘不能用了,也是震惊到我。爬以后再出问题,又买了有线音箱,真是一波降级。

    最后我考虑是换 Fedora ,更新到一个稳定版,然后所有自动更新全部先关掉,有更新先通知,不要自动更。
    polaa
        5
    polaa  
       45 天前
    @beginor 对,hostapd 比较底层, ubuntu 用 hostapd 创建热点,可以选择参数输出 debug 信息,不过见楼上那么应该是已知问题了。
    fyourm
        6
    fyourm  
       45 天前
    @FakNoCNName wifi 6 好像强制证书认证了,不知道是这个原因吗
    puyaraimondii
        7
    puyaraimondii  
       1 天前
    @sggggy 情况相近!刚升级 2204 没几天, 蓝牙延迟简直折磨。。。打算重新换回 20.04 了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1028 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 22ms · UTC 20:34 · PVG 04:34 · LAX 13:34 · JFK 16:34
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.